Skip to main content

Balance Inquiry with Contactless EMV


This use case processes a PIN debit balance inquiry with contactless EMV. Set processingInformation.authorizationOptions.balanceInquiry to true. The response returns the account balance under paymentInformation.accountFeatures.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "ABC123",    "partner": {      "thirdPartyCertificationNumber": "PTP1234"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "authorizationOptions": {      "balanceInquiry": "true"    }  },  "paymentInformation": {    "paymentType": {      "name": "CARD",      "subTypeName": "DEBIT"    },    "card": {      "useAs": "",      "sourceAccountType": "UA"    }  },  "merchantInformation": {    "transactionLocalDateTime": "20200323103021"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "0.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "entryMode": "contactless",    "terminalCapability": 4,    "emv": {      "tags": "9F3303204000950500000000009F3704518823719F100706011103A000009F26081E1756ED0E2134E29F36020015820200009C01009F1A0208409A030006219F02060000000020005F2A0208409F0306000000000000",      "cardSequenceNumber": "01"    },    "trackData": ";4xxxxxxxxxxx1111=33121019761186800000?"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/6898513109826580904004/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6898513109826580904004"    }  },  "clientReferenceInformation": {    "code": "ABC123"  },  "id": "6898513109826580904004",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "0.00",      "currency": "usd"    }  },  "paymentInformation": {    "accountFeatures": {      "balances": [        {          "amountType": "02",          "amount": "+20.00",          "accountType": "00",          "currency": "usd"        }      ]    }  },  "processingInformation": {    "reconciliationId": "6898513109826580904004"  },  "processorInformation": {    "systemTraceAuditNumber": "191877",    "routing": {      "network": "0000"    },    "approvalCode": "831000",    "retrievalReferenceNumber": "123456191877",    "transactionId": "016153570198200",    "responseCode": "00"  },  "reconciliationId": "6898513109826580904004",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-07-20T11:08:31Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber—
clientReferenceInformation.transactionId—
merchantInformation.merchantDescriptor.postalCode—
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmountSet the value to 0.00.
paymentInformation.card.sourceAccountTypeSet the value to UA.
paymentInformation.card.useAsLeave this field blank.
paymentInformation.paymentType.nameSet the value to CARD.
paymentInformation.paymentType.subTypeNameSet the value to DEBIT.
pointOfSaleInformation.emv.cardSequenceNumberRequired only when the card has a sequence number configured on the EMV chip.
pointOfSaleInformation.emv.tags—
pointOfSaleInformation.entryModeSet the value to contactless.
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.trackData—
processingInformation.authorizationOptions.balanceInquirySet the value to true.
processingInformation.commerceIndicatorSet the value to retail.

Last published: September 29, 2026